=== debian/changelog ===
herbstluftwm (0.9.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Christoph Egger <christoph@debian.org>  Wed, 03 Mar 2021 15:24:58 +0100

herbstluftwm (0.9.2-1) unstable; urgency=medium

  * New upstream release
  * New dependencies: freetype, xft, pkg-config
  * Needs its python module now for tests
  * Fix zsh completion path (Closes: #843573)

 -- Christoph Egger <christoph@debian.org>  Wed, 17 Feb 2021 19:59:18 +0100
