=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# PYTEST_VERSION = $(shell python3 -c 'import sys ; print("py" + "".join([str(i) for i in sys.version_info[:2]]))')

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- -DZSHCOMPLETIONDIR=/usr/share/zsh/vendor-completions -DCOPY_DOCUMENTATION=NO

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	rm -f $(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/INSTALL

override_dh_auto_test:
	(cd obj-* ; PYTHONPATH=../python python3 -m pytest -x ../tests)


override_dh_installwm:
	dh_installwm --priority=20 herbstluftwm
