## herbstluftwm 0.9.3

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -84,7 +84,7 @@
                     -a \"builddir=${CMAKE_CURRENT_BINARY_DIR}\"
                     --destination-dir="${CMAKE_CURRENT_BINARY_DIR}"
                     ${src}
-            DEPENDS ${ARGN}
+            DEPENDS ${src} ${ARGN}
             )
     endif()
     install(FILES ${dst} DESTINATION "${MANDIR}/man${man_nr}")
@@ -120,7 +120,7 @@
             DEPENDS ${src} ${ARGN}
             )
     endif()
-    install(FILES ${dst} DESTINATION ${DOCDIR})
+    install(FILES ${dst} DESTINATION "${DOCDIR}/html")
 endfunction()
