=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
     completion.h completion.cpp
     decoration.cpp decoration.h
     desktopwindow.h desktopwindow.cpp
+    either.h
     entity.cpp entity.h
     ewmh.cpp ewmh.h
     finite.h
@@ -30,6 +31,7 @@
     frameparser.h frameparser.cpp
     frametree.h frametree.cpp
     globals.h
+    globalcommands.cpp globalcommands.h
     hlwmcommon.cpp hlwmcommon.h
     hook.cpp hook.h
     indexingobject.h
@@ -56,6 +58,7 @@
     root.cpp root.h
     rulemanager.cpp rulemanager.h
     rules.cpp rules.h
+    runtimeconverter.h
     settings.cpp settings.h
     signal.h
     stack.cpp stack.h
@@ -64,7 +67,8 @@
     theme.cpp theme.h
     tilingresult.cpp tilingresult.h
     tmp.cpp tmp.h
-    types.cpp types.h
+    converter.cpp converter.h
+    typesdoc.cpp typesdoc.h
     utils.cpp utils.h
     watchers.h watchers.cpp
     x11-types.cpp x11-types.h
@@ -97,6 +101,7 @@
     ${XEXT_INCLUDE_DIRS}
     ${XINERAMA_INCLUDE_DIRS}
     ${XRANDR_INCLUDE_DIRS}
+    ${XRENDER_INCLUDE_DIRS}
     )
 target_link_libraries(herbstluftwm PUBLIC
     ${FREETYPE_LIBRARIES}
@@ -105,6 +110,7 @@
     ${XFT_LIBRARIES}
     ${XINERAMA_LIBRARIES}
     ${XRANDR_LIBRARIES}
+    ${XRENDER_LIBRARIES}
     )
 
 ## export variables to the code
