=== debian/changelog ===
herbstluftwm (0.9.3-2) unstable; urgency=medium

  * upload to unstable

 -- Christoph Egger <christoph@debian.org>  Tue, 12 Oct 2021 21:17:29 +0200

herbstluftwm (0.9.3-1) experimental; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sun, 16 May 2021 17:34:27 +0200
