## herbstluftwm 0.9.4

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -74,10 +74,16 @@
             COMMENT "Using pre-built ${dst_prebuilt}"
             )
     else()
+        # create a config file such that we can tell a2x to call
+        # our script patching the man page xml instead of running xmllint
+        set(custom_asciidoc_cfg "${CMAKE_CURRENT_BINARY_DIR}/a2x-patched-dont-install.conf")
+        file(WRITE ${custom_asciidoc_cfg}
+        "XMLLINT = '${CMAKE_CURRENT_SOURCE_DIR}/patch-manpage-xml.py'")
         add_custom_command(
             OUTPUT ${dst}
             COMMAND ${ASCIIDOC_A2X}
-                    --no-xmllint
+                    --verbose
+                    --conf-file=${custom_asciidoc_cfg}
                     -f manpage
                     -a \"herbstluftwmversion=herbstluftwm ${VERSION}\"
                     -a \"date=${BUILD_DATE}\"
