=== debian/changelog ===
herbstluftwm (0.9.4-5.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Sun, 29 May 2022 18:38:43 +0300

herbstluftwm (0.9.4-5) unstable; urgency=medium

  * Double timeouts again

 -- Christoph Egger <christoph@debian.org>  Fri, 27 May 2022 11:05:47 +0200

herbstluftwm (0.9.4-4) unstable; urgency=medium

  * Double shutdown timeout in testsuite hope it helps slow buildds

 -- Christoph Egger <christoph@debian.org>  Thu, 26 May 2022 20:07:53 +0200

herbstluftwm (0.9.4-3) unstable; urgency=medium

  * Import upstream patches for CI reliability
    + 7c4540919b3c55a301bc0f325e479574294802c9
      IPC: drop property events from queue early
    + b68641644f55b4f149430ebd146aa748c6508511
      CI: wait for client acquiring input focus

 -- Christoph Egger <christoph@debian.org>  Thu, 26 May 2022 13:49:15 +0200

herbstluftwm (0.9.4-2) unstable; urgency=medium

  * Double Timeout for slower architectures

 -- Christoph Egger <christoph@debian.org>  Thu, 17 Mar 2022 17:09:00 +0100

herbstluftwm (0.9.4-1) unstable; urgency=medium

  [ Christoph Egger ]
  * New upstream release
     * New dependency on libxfixes
  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.1.5, no changes needed.

 -- Christoph Egger <christoph@debian.org>  Wed, 16 Mar 2022 17:29:12 +0100
