=== debian/control ===
Source: herbstluftwm
Section: x11
Priority: optional
Maintainer: Christoph Egger <christoph@debian.org>
Build-Depends:
 asciidoc,
 cmake,
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 libfreetype6-dev,
 libx11-dev,
 libxfixes-dev,
 libxft-dev,
 libxinerama-dev,
 libxml2-utils,
 libxrandr-dev,
 pkg-config,
 python3,
 python3-ewmh,
 python3-pytest,
 python3-pytest-xdist,
 python3-pytest-xvfb,
 python3-xlib,
 x11-utils,
 x11-xserver-utils,
 xdotool,
 xserver-xephyr,
 xsltproc,
 xterm
Standards-Version: 4.1.5
Homepage: https://herbstluftwm.org
Vcs-Git: https://salsa.debian.org/debian/herbstluftwm.git
Vcs-Browser: https://salsa.debian.org/debian/herbstluftwm

Package: herbstluftwm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dzen2, xterm, xfonts-base
Suggests: suckless-tools
Provides: x-window-manager
Description: manual tiling window manager for X11
 In herbstluftwm the layout is based on splitting frames into
 subframes which can be split again or can be filled with windows,
 Tags (or workspaces or virtual desktops or ...) can be added/removed
 at runtime. Each tag contains an own layout and exactly one tag is
 viewed on each monitor. The tags are monitor independent.
 .
 It is configured at runtime via ipc calls from herbstclient. So the
 configuration file is just a script which is run on startup.
