=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,6 @@
 	dh_auto_install --buildsystem=cmake
 	rm -f $(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/INSTALL
 
-override_dh_auto_test:
-	(cd obj-* ; PYTHONPATH=../python python3 -m pytest -x ../tests)
-
 
 override_dh_installwm:
 	dh_installwm --priority=20 herbstluftwm
