## herbstluftwm 0.9.5

=== Makefile ===
--- 
+++ 
@@ -16,3 +16,29 @@
 
 clean:
 	rm -r $(BUILDDIR)/
+
+.PHONY: smoke-test
+smoke-test: all
+	$(MAKE) tox EXTRA_TOX_ARGS="-m 'not exclude_from_coverage'"
+
+.PHONY: long-test
+long-test: all
+	$(MAKE) tox EXTRA_TOX_ARGS="-m 'exclude_from_coverage'"
+
+.PHONY: test
+test: smoke-test long-test
+
+.PHONY: tox
+tox: all
+	cd $(BUILDDIR); tox -c ..  -- -v --maxfail=1 $(EXTRA_TOX_ARGS)
+
+.PHONY: flake8
+flake8:
+	flake8
+
+.PHONY: check-using-std
+check-using-std:
+	./ci/check-using-std.sh
+
+.PHONY: check
+check: check-using-std flake8 test
