=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     arglist.cpp arglist.h
     argparse.cpp argparse.h
     attribute.cpp attribute.h attribute_.h
+    autostart.cpp autostart.h
     byname.cpp byname.h
     child.h
     client.cpp client.h
@@ -102,6 +103,7 @@
     ${XINERAMA_INCLUDE_DIRS}
     ${XRANDR_INCLUDE_DIRS}
     ${XRENDER_INCLUDE_DIRS}
+    ${XFIXES_INCLUDE_DIRS}
     )
 target_link_libraries(herbstluftwm PUBLIC
     ${FREETYPE_LIBRARIES}
@@ -111,6 +113,7 @@
     ${XINERAMA_LIBRARIES}
     ${XRANDR_LIBRARIES}
     ${XRENDER_LIBRARIES}
+    ${XFIXES_LIBRARIES}
     )
 
 ## export variables to the code
