=== debian/changelog ===
herbstluftwm (0.9.5-3) unstable; urgency=medium

  * Disable tests, too unreliable

 -- Christoph Egger <christoph@debian.org>  Mon, 17 Oct 2022 13:31:46 +0200

herbstluftwm (0.9.5-2) unstable; urgency=medium

  * Update error message expected in test -- patch from upstream
    (Closes: #1012943)

 -- Christoph Egger <christoph@debian.org>  Wed, 10 Aug 2022 09:04:23 +0200

herbstluftwm (0.9.5-1) unstable; urgency=medium

  * New upstream release
  * Remove upstream patches added to 0.9.4-3

 -- Christoph Egger <christoph@debian.org>  Mon, 08 Aug 2022 22:09:29 +0300
