=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
https://herbstluftwm.org/tarballs/herbstluftwm-([\d.]+).tar.gz
